--- aptitude-0.4.11.8.orig/src/main.cc	2008-06-08 00:55:35.000000000 +0200
+++ aptitude-0.4.11.8/src/main.cc	2008-09-16 23:40:00.000000000 +0200
@@ -25,6 +25,7 @@
 
 #include <getopt.h>
 #include <signal.h>
+#include <sys/stat.h>
 
 #include "aptitude.h"
 
@@ -325,7 +326,7 @@
     aptcfg->Set(PACKAGE "::Delete-Unused-Pattern", "");
 
   // Read the arguments:
-  while((curopt=getopt_long(argc, argv, "DVZWvhS:uiF:w:sO:fdyPt:q::Rro:", opts, NULL))!=-1)
+  while((curopt=getopt_long(argc, argv, "DVZWvhS:uiF:w:sO:fdyPt:q::Rrc:o:", opts, NULL))!=-1)
     {
       switch(curopt)
 	{
@@ -398,6 +399,16 @@
 	case 't':
 	  aptcfg->SetNoUser("APT::Default-Release", optarg);
 	  break;
+	case 'c':
+	  {
+	    struct stat buf;
+	    if(stat(optarg, &buf) != 0 || S_ISDIR(buf.st_mode) || !ReadConfigFile(*_config, optarg))
+	      {
+		fprintf(stderr, _("Could not read the configuration file %s\n"), optarg);
+		return -1;
+	      }
+	  }
+	  break;
 	case 'o':
 	  {
 	    string s=optarg;
